-- Name:helicopter_01
-- Translation: 2646.17,-9.47604,-2853.94
-- Dof: -0.00872659 0.0 0.999962    (x-axis) x -z y (z up)
-- Up: 0.0 1.0 0.0                  (z-axis) x -z y (z up)
-- Right: -0.999962 0.0 -0.00872659 (y-axis) x -z y (z up)
--         Z UP   Z UP    Z UP
-----------------------------
fn cePlacementExport worldDat objList=
(
	numB = objList.count
	if numB > 0 do
	(
		f = createfile worldDat
		if f != undefined do
		(
			for item_number = 1 to numB do 
			( 
				s = objList[item_number]
				tM = s.rotation as matrix3
				format "Name:%\nTranslation: %,%,%\nDof: % % %\nUp: % % %\nRight: % % %\n" \
				s.name s.pos.x -s.pos.z s.pos.y \
				tm.row1.x -tm.row3.x tm.row2.x \
				tm.row1.z -tm.row3.z tm.row2.z \
				tm.row1.y -tm.row3.y tm.row2.y \
				to:f
			)
			close f
			Print ("Saved "+(worldDat as string))
		)
	)
)

(
fname = getSaveFileName caption:"Save World.dat" types:"World.dat|*.dat|All|*.*|"
if fname != undefined do
cePlacementExport fname selection
)