SelectedShader = 1
NumberOfShaders = 0
subshader = #()
lighting = #()
lightingSpecular = #()
materialDiffuse = #()
materialSpecular = #()
materialSpecularPower = #()
envmap = #()
twoSided = #()
transparency = #()
texture = #()




Rollout BF_RS_editorRollout "(.RS) Shader Editor" width:220 height:600
(
	groupBox rsgrrp2 "Shader Editor (.rs)" pos:[8,8] width:180 height:304
	label lblmatCount "Material: 1 of 1" pos:[32,24] width:150 height:16
	editText edt1 "Name: " pos:[16,42] width:160 height:16
	button btn_prev "<---" pos:[16,64] width:70 height:24
	button btn_next "--->" pos:[105,64] width:70 height:24
	button btn2 "Add" pos:[41,96] width:48 height:24
	button btn3 "Remove" pos:[105,96] width:48 height:24
	checkbox chk1 "Light" pos:[16,128] width:48 height:16 checked:true
	checkbox chk3 "2 Sides" pos:[64,128] width:56 height:16
	checkbox chk5 "EnvMap" pos:[120,128] width:64 height:16
	spinner spn1 "SpecularVal " pos:[46,152] width:68 height:16 type:#integer scale:1
	checkbox chk6 "Transp" pos:[120,152] width:52 height:16
	colorPicker cp1 "Diffuse" pos:[24,176] width:72 height:24 color:(color 255 255 255) \
							title:"Choose a diffuse color"
	colorPicker cp2 "Specular" pos:[104,176] width:72 height:24 color:(color 127 127 127) \
							title:"Choose a specular highlight color"
	editText edt2 "" pos:[64,224] width:112 height:16
	button btn4 "Browse" pos:[16,224] width:48 height:16
	label lbl3 "Texture" pos:[96,208] width:40 height:16
	button btn5 "Load .RS ..." pos:[104,256] width:72 height:24
	button btn6 "Save .RS ..." pos:[16,256] width:72 height:24
	materialButton btn7 "Material From Scene" pos:[40,288] width:120 height:16

fn saveStateTo thisShader =
(
	SelectedShader = thisShader
	if chk1.checked then Lighting[SelectedShader] = 1
		else Lighting[SelectedShader] = 0
	if chk3.checked then twoSided[SelectedShader] = 1
		else twoSided[SelectedShader] = 0
	if chk5.checked then envmap[SelectedShader] = 1
		else envmap[SelectedShader] = 0
	if chk6.checked then transparency[SelectedShader] = 1
		else transparency[SelectedShader] = 0
	materialSpecularPower[SelectedShader] = spn1.value
	materialDiffuse[SelectedShader] = cp1.color
	materialSpecular[SelectedShader] = cp2.color
	texture[SelectedShader] = edt2.text
)

--//START CODE FOR Rollout REFRESH
fn RefreshRs_roll thisShader =
(
	SelectedShader = thisShader
	if SelectedShader == 1 then
		btn_prev.enabled = false
	else
		btn_prev.enabled = true
	if SelectedShader == NumberOfShaders then
		btn_next.enabled = false
	else
		btn_next.enabled = true

	

	lblmatCount.text = ("Material: "+(SelectedShader as string)+" of "+(NumberOfShaders as string))
	edt1.text = (subshader[SelectedShader] as string)
	edt2.text = (texture[SelectedShader] as string)
	if materialSpecularPower[SelectedShader] != undefined then
		spn1.value = (materialSpecularPower[SelectedShader])
	else
		spn1.value = 0
	if Lighting[SelectedShader] != undefined do
	(
		if Lighting[SelectedShader] == 1 then
			chk1.checked = true
		else
			chk1.checked = false
	)
	if twoSided[SelectedShader] != undefined do
	(
		if twoSided[SelectedShader] == 1 then
			chk3.checked = true
		else
			chk3.checked = false
	)
	if envmap[SelectedShader] != undefined do
	(
		if envmap[SelectedShader] == 1 then
			chk5.checked = true
		else
			chk5.checked = false
	)
	if transparency[SelectedShader] != undefined do
	(
		if transparency[SelectedShader] == 1 then
			chk6.checked = true
		else
			chk6.checked = false
	)
	if materialDiffuse[SelectedShader] != undefined do
	(
		cp1.color = materialDiffuse[SelectedShader]
	)
	if materialSpecular[SelectedShader] != undefined do
	(
		cp2.color = materialSpecular[SelectedShader]
	)
	
)


--//END CODE FOR Rollout REFRESH

--***LOAD***
	on btn5 pressed do
	(
		fname = getOpenFileName caption:"Import .rs" types:"Refractor Shader .rs|*.rs|All|*.*|"
		if fname != undefined do
		(
			NumberOfShaders = 0
			SelectedShader = 1
			f=openFile fname
			print "||| .RS file reader |||"
			format "Readin %\n" fname
			yep = "true" as name
			nope = "false" as name
				

			while (eof f) != true do
			(
				skipToString f "subshader \""
				NumberOfShaders += 1
			)
			NumberOfShaders -= 1 -- corrects above count


			seek f 0
			for i = 1 to NumberOfShaders do
			(
				skipToString f "subshader \""
				subshader[i] = ((readDelimitedString f "\"") as string)
				skipToNextLine f
				holdSpot = filePos f

				-- Count lines in subshader material group
				numSubLines = 0

				skipToString f "}"
				groupEnds = filePos f
				seek f holdSpot
				while (filePos f) < groupEnds do
				(
					if readChar == "}" then exit
					skipToNextLine f
					numSubLines +=1
				)
				numSubLines -= 2 --// correct for begin and end brackets {,}

				seek f holdSpot
				for n = 1 to numSubLines do
				(
					skipToNextLine f
					skipToString f "\t" -- change to a whitespace skipper

					tmpString = ((readDelimitedString f " ") as string)
					tmp2String = ((readDelimitedString f ";") as string)
				--	format "n: % _ % | %\n" n tmpString tmp2String 
					

					if (tmpString as name) == ("lighting" as name) then
					(
						if (tmp2String as name) == yep then
						( Lighting[i] = 1 )
						else Lighting[i] = 0
					)
				 else
				 (
					if (tmpString as name) == ("lightingSpecular" as name) then
					(
						if (tmp2String as name) == yep then
						( lightingSpecular[i] = 1 )
						else lightingSpecular[i] = 0
					)
				 else
				 (
					if (tmpString as name) == ("materialDiffuse" as name) then
					(
						tmp = filterString tmp2String " "
						materialDiffuse[i] = color (255*tmp[1] as float) \
								(255*tmp[2] as float) (255*tmp[3] as float)
					)
				 else
				 (
					if (tmpString as name) == ("texture" as name) then
					(
						texture[i] = (tmp2String as string)
					)
				 else
				 (
					if (tmpString as name) == ("materialSpecular" as name) do
					(
						tmp = filterString tmp2String " "
						materialSpecular[i] = color (255*tmp[1] as float) \
								(255*tmp[2] as float) (255*tmp[3] as float)
					)
					if (tmpString as name) == ("materialSpecularPower" as name) do
					(
						materialSpecularPower[i] = (tmp2String as integer)
					)
					if (tmpString as name) == ("envmap" as name) do
					(
						if (tmp2String as name) == yep then
						( envmap[i] = 1 )
						else envmap[i] = 0
					)
					if (tmpString as name) == ("twoSided" as name) do
					(
						if (tmp2String as name) == yep then
						( twoSided[i] = 1 )
						else twoSided[i] = 0
					)
					if (tmpString as name) == ("transparency" as name) do
					(
						if (tmp2String as name) == yep then
						( transparency[i] = 1 )
						else transparency[i] = 0
					)
				 )
				 )
				 )
				 )

				)
			)
					

		--///////////////////////////////////OUTPUT//////////
			if 1 == 0 do
			(
				for i=1 to NumberOfShaders do
				(
					format "Shader % name: %\n" i (subshader[i] as string)
					format "\t lightin %\n" (Lighting[i] as string)
					format "\t lightingSpecula %\n" (lightingSpecular[i] as string)
					format "\t materialDiffuse: %\n" (materialDiffuse[i] as string)
					format "\t materialSpecula %\n" (materialSpecular[i] as string)
					format "\t materialSpecularPowe %\n" (materialSpecularPower[i] as string)
					format "\t envmap: %\n" (envmap[i] as string)
					format "\t twoSided: %\n" (twoSided[i] as string)
					format "\t transparency: %\n" (transparency[i] as string)
					format "\t texture: %\n" (texture[i] as string)
				)
			)

			close f
			SelectedShader = 1
			RefreshRs_roll SelectedShader
		)
	)

	on btn6 pressed do
	(
		print "saving"
	)

	on btn_next pressed do
	(
		saveStateTo SelectedShader
		SelectedShader+=1
		RefreshRs_roll SelectedShader
	)
	on btn_prev pressed do
	(
		saveStateTo SelectedShader
		SelectedShader-=1
		RefreshRs_roll SelectedShader
	)
	
)



